# Record Class CSConfiguration

java.lang.Object
java.lang.Record
com.io7m.certusine.api.CSConfiguration

Record Components:
  `options` - The configuration options
  `domains` - The configured domains

public record CSConfiguration(CSOptions options, Map<String,CSDomain> domains) extends Record
A configuration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSConfiguration(CSOptions options, Map<String,CSDomain> domains)`
  A configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,CSDomain>`
  `domains()`
  Returns the value of the `domains` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CSOptions`
  `options()`
  Returns the value of the `options` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSConfiguration

    public CSConfiguration(CSOptions options, Map<String,CSDomain> domains)
    A configuration.
    Parameters:
      `options` - The configuration options
      `domains` - The configured domains

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### options

    public CSOptions options()
    Returns the value of the `options` record component.
    Returns:
      the value of the `options` record component

  - ### domains

    public Map<String,CSDomain> domains()
    Returns the value of the `domains` record component.
    Returns:
      the value of the `domains` record component